#!/bin/sh
PKGVER=1.79.2
# update xml catalog
CATALOG=./etc/xml/catalog
if [ ! -d ./etc/xml ]; then install -v -m755 -d ./etc/xml; fi &&
if [ ! -f $CATALOG ]; then
    xmlcatalog --noout --create $CATALOG
fi &&

xmlcatalog --noout --add "rewriteSystem" \
           "https://cdn.docbook.org/release/xsl-nons/$PKGVER" \
           "/usr/share/xml/docbook/xsl-stylesheets-nons-$PKGVER" \
    $CATALOG &&

xmlcatalog --noout --add "rewriteURI" \
           "https://cdn.docbook.org/release/xsl-nons/$PKGVER" \
           "/usr/share/xml/docbook/xsl-stylesheets-nons-$PKGVER" \
    $CATALOG &&

xmlcatalog --noout --add "rewriteSystem" \
           "https://cdn.docbook.org/release/xsl-nons/current" \
           "/usr/share/xml/docbook/xsl-stylesheets-nons-$PKGVER" \
    $CATALOG &&

xmlcatalog --noout --add "rewriteURI" \
           "https://cdn.docbook.org/release/xsl-nons/current" \
           "/usr/share/xml/docbook/xsl-stylesheets-nons-$PKGVER" \
    $CATALOG &&

xmlcatalog --noout --add "rewriteSystem" \
           "http://docbook.sourceforge.net/release/xsl/current" \
           "/usr/share/xml/docbook/xsl-stylesheets-nons-$PKGVER" \
    $CATALOG &&

xmlcatalog --noout --add "rewriteURI" \
           "http://docbook.sourceforge.net/release/xsl/current" \
           "/usr/share/xml/docbook/xsl-stylesheets-nons-$PKGVER" \
    $CATALOG
